%define fname polib


Name:           python-polib
Version:        1.0.7
Release:        %mkrel 1
Summary:        A library to parse and manage gettext catalogs

Group:          Development/Python
License:        MIT
URL:            http://bitbucket.org/izi/polib/
Source0:        https://pypi.python.org/packages/source/p/polib/%{fname}-%{version}.tar.xz

BuildArch:      noarch

%description
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%package -n python3-%{fname}
Summary:        A library to parse and manage gettext catalogs for Python 3
Group:          Development/Python

%description -n python3-%{fname}
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%prep
%setup -q -n %{fname}-%{version}

# Remove bundled egg-info
rm -rf %{fname}.egg-info

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%check
%{__python2} setup.py check

pushd %{py3dir}
%{__python3} setup.py check
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

fdupes %{buildroot}%{python2_sitelib}
fdupes %{buildroot}%{python3_sitelib}

%files
%doc LICENSE README.rst
%{python2_sitelib}/*

%files -n python3-%{fname}
%doc LICENSE README.rst
%{python3_sitelib}/*


%changelog
* Sun Jan 22 2017 bb <bb> 1.0.7-1pclos2017
- new version

